#ifndef SHARED_H_INCLUDED
#define SHARED_H_INCLUDED

const long long LIMIT = 1e5;
const auto MAX_D = (LIMIT - 1) / 2;
const auto MAX_ANS = LIMIT + MAX_D;
const auto MIN_ANS = 1 - MAX_D;

#include <cassert>
#include <vector>
#include <iostream>
#include <cstdlib>

bool arithmetic(const std::vector<auto>& v)
{
    assert(v.size() >= 2);
    const auto d = v[1] - v[0];
    for (std::size_t i = 1; i + 1 < v.size(); ++i)
        if (v[i + 1] - v[i] != d)
            return false;
    return true;
}

template<typename T>
T calculate_value(int position, T a, T b, T c)
{
    assert(1 <= position && position <= 4);
    switch (position) {
        case 1:
            return a - (c - b);
        case 2:
        case 3:
            return a - b + c;
        case 4:
            return c + (b - a);
    }
}

void print(int position, auto value)
{
    using namespace std;
    cout << value << endl;
    cout << position << endl;
}

#endif // SHARED_H_INCLUDED
