#ifndef SHARED_GENERATORS_H_INCLUDED
#define SHARED_GENERATORS_H_INCLUDED

#include "testlib.h"

bool is_decreasing()
{
    const auto increasing = opt<bool>("increasing");
    const auto decreasing = opt<bool>("decreasing");
    ensure(increasing ^ decreasing);
    return decreasing;
}

void output(long long a, long long d)
{
    long long progression[4];
    for (int i = 0; i < 4; ++i)
        progression[i] = a + i * d;
    if (is_decreasing())
        reverse(begin(progression), end(progression));

    const auto position = opt<int>(1) - 1;
    ensure(0 <= position && position < 4);
    for (int i = 0; i < 4; ++i)
        if (i != position)
            cout << progression[i] << endl;
}

#endif // SHARED_GENERATORS_H_INCLUDED
